package com.yonge.cooleshow.bbs.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum ArticleEnum implements BaseEnum<String, ArticleEnum> {
    DRAFT("草稿"),
    DOING("审核中"),
    PASS("通过"),
    REJECT("驳回");

    @EnumValue
    private String code;

    private String msg;

    ArticleEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }
}
